<!--
Copyright 2017 The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
-->

<mat-menu #actions="matMenu">
  <a mat-menu-item
     *ngIf="isLogsEnabled()"
     [routerLink]="getLogsHref()"
     queryParamsHandling="preserve"
     i18n>Logs</a>
  <a mat-menu-item
     *ngIf="isExecEnabled()"
     [routerLink]="getExecHref()"
     queryParamsHandling="preserve"
     i18n>Exec</a>
  <button mat-menu-item
          *ngIf="isTriggerEnabled()"
          (click)="onTrigger()"
          i18n>Trigger</button>
  <button mat-menu-item
          *ngIf="isScaleEnabled()"
          (click)="onScale()"
          i18n>Scale</button>
  <button mat-menu-item
          *ngIf="isPinEnabled()"
          (click)="isPinned() ? onUnpin() : onPin()">
    <ng-container [ngSwitch]="isPinned()">
      <ng-container *ngSwitchCase="true"
                    i18n>Unpin</ng-container>
      <ng-container *ngSwitchCase="false"
                    i18n>Pin</ng-container>
    </ng-container>
  </button>
  <button mat-menu-item
          id="edit"
          (click)="onEdit()"
          i18n>Edit</button>
  <button mat-menu-item
          id="delete"
          (click)="onDelete()"
          i18n>Delete</button>
  <button mat-menu-item
          *ngIf="isSelectEnabled()"
          id="select"
          (click)="onSelect()"
          i18n>Select</button>
  <button mat-menu-item
          *ngIf="isSelectEnabled()"
          id="deselect"
          (click)="onDeselect()"
          i18n>Deselect</button>
</mat-menu>

<a mat-icon-button
   class="kd-muted"
   id="more-menu"
   [matMenuTriggerFor]="actions"
   (click)="$event.stopPropagation()">
  <mat-icon matTooltip="Actions">more_vert</mat-icon>
</a>
